// ----
// ---- file   : MIDIPipeNodeStepSeq.cpp
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2014-2015 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" sequencer.
// ----
// ---- changed: 01Sep2014, 11Sep2014, 08Feb2015
// ----
// ----
// ----

#include "tkmidipipe.h"


MIDIPipeNodeStepSeq::MIDIPipeNodeStepSeq(void) {
}

MIDIPipeNodeStepSeq::~MIDIPipeNodeStepSeq() {
}

void MIDIPipeNodeStepSeq::init(MIDIPipe *_parentPipe) {
   MIDIPipeNode::init(_parentPipe);
}

void MIDIPipeNodeStepSeq::processFrame(MIDIPipeFrame *_framePlay, MIDIPipeFrame *_frameRec,
                                       sBool _bForceMute,
                                       sBool _bPlaySeq
                                       ) {
   (void)_framePlay;
   (void)_frameRec;
   (void)_bForceMute;
   (void)_bPlaySeq;
}

