// ----
// ---- file   : MIDIPipeNodeStepSeq.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2014-2015 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" sequencer.
// ----
// ---- changed: 01Sep2014, 04Sep2014, 11Sep2014, 08Feb2015
// ----
// ----
// ----

#ifndef __TK_MIDIPIPENODESTEPSEQ_H__
#define __TK_MIDIPIPENODESTEPSEQ_H__

YG("midipipe")


/* @class MIDIPipeNodeStepSeq,Object
 */
YC class MIDIPipeNodeStepSeq : public MIDIPipeNode {
  public:
   

  public:
   MIDIPipeNodeStepSeq(void);
   ~MIDIPipeNodeStepSeq();

   YAC(MIDIPipeNodeStepSeq);

  public:
   YM void init(MIDIPipe *_parentPipe);
   YM void processFrame(MIDIPipeFrame *_framePlay, MIDIPipeFrame *_frameRec, sBool _bForceMute, sBool _bPlaySeq);

};


#endif // __TK_MIDIPIPENODESTEPSEQ_H__
